#!/usr/bin/env python3

import sys
import os
import shutil
import subprocess

if len(sys.argv) != 3:
    print("Error with arguments. Usage python3 index.py <FASTA_INPUT> <INDEXING_OUTPUT>")
    quit()
con_file = sys.argv[1]
output = sys.argv[2]
os.makedirs(os.path.dirname(output), exist_ok=True)
shutil.copy(con_file, output + '.fa')
command = ['hisat2-build', con_file, output]
subprocess.call(command)
