#!/usr/bin/env python3

import sys
import os

gff_feature = 'CDS'
gff_filed = 'Parent'
itype = 'sam'

if len(sys.argv) != 4:
    print("Error with arguments. Usage python3 count.py <SAM/BAM_DIR> <GFF_FILE> <OUTPUT_DIR>")
    quit()
print('Counting...')

alignment_input = sys.argv[1]
gff_file = sys.argv[2]
htseq_output = sys.argv[3]
os.makedirs(htseq_output, exist_ok=True)

sam_files = [sam_file for sam_file in os.listdir(alignment_input) if os.path.isfile(os.path.join(alignment_input, sam_file)) and sam_file.endswith('.sam')]
for sam_file in sam_files:
    htseq_out = os.path.join(htseq_output, sam_file.replace('.sam', '.htseq'))
    if not os.path.exists(htseq_out):
        print(sam_file, htseq_out)
        os.system('htseq-count -s no -f %s -t %s -i %s %s %s > %s' % (itype, gff_feature, gff_filed, os.path.join(alignment_input, sam_file), gff_file, htseq_out))
